MKTEMP(1)

NAMN
mktemp — skapa en temporärfil eller -katalog

SYNOPSIS
mktemp [FLAGGA]... [MALL]

BESKRIVNING

Skapa en temporärfil eller -katalog, säkert, och skriv dess namn. MALL måste innehålla åtminstone 3 ”X” i följd i sin sista komponent. Om MALL inte är angivet, används tmp.XXXXXXXXXX, och --tmpdir är implicit. Filer skapas u+rw, och kataloger u+rwx, minus begränsningar från umask.

-d, --directory
    Skapa en katalog, inte en fil.

-u, --dry-run
    Skapa ingenting, skriv bara ett namn (osäkert).

-q, --quiet
    Utelämna meddelanden när det inte går att skapa filer/kataloger.

--suffix=SUFF
    Lägg till SUFF till MALL; SUFF får inte innehålla ett snedstreck. Denna flagga är implicit om MALL inte slutar med X.

-p DIR, --tmpdir[=KAT]
    Tolka MALL relativt KAT; om KAT inte anges använd $TMPDIR om den är satt, annars /tmp. Med denna flagga får MALL inte vara ett absolut namn. Till skillnad mot -t får MALL innehålla snedstreck, men mktemp skapar endast den sista komponenten.

-t  Tolka MALL som en ensam filnamnskomponent, relativt en katalog: $TMPDIR, om det är satt, annars katalogen som angetts via -p, annars /tmp [undanbedes].

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

UPPHOVSMAN
Skrivet av Jim Meyering och Eric Blake.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

SE ÄVEN
mkstemp(3), mkdtemp(3), mktemp(3)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/mktemp>
eller tillgängligt lokalt via: info '(coreutils) mktemp invocation'

Paketerat av Debian (9.7-3)
Copyright © 2025 Free Software Foundation, Inc.
Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>
Detta är fri programvara: du får fritt ändra och vidaredistribuera den.
Det finns INGEN GARANTI, så långt lagen tillåter.

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.